com.mockobjects.servlet

## Class MockFilterChain

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.servlet.MockFilterChain

All Implemented Interfaces:
  Verifiable

    public class MockFilterChain
    extends MockObject

### Constructor Summary

Constructors
Constructor and Description
`MockFilterChain()`

### Method Summary

Methods
`void` `doFilter(ServletRequest request, ServletResponse response)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockFilterChain

    public MockFilterChain()

### Method Detail

#### doFilter

    public void doFilter(ServletRequest request,
                ServletResponse response)
                  throws java.io.IOException,
                         ServletException

Throws:
  `java.io.IOException`
  `ServletException`